# Create a collection

You can create a new collection by making a POST request to https://api.intercom.io/help_center/collections.

Endpoint: POST /help_center/collections
Version: 2.15
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14"

## Request fields (application/json):

  - `name` (string, required)
    The name of the collection. For multilingual collections, this will be the name of the default language's content.
    Example: "collection 51"

  - `description` (string)
    The description of the collection. For multilingual collections, this will be the description of the default language's content.
    Example: "English description"

  - `translated_content` (object,null)
    The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.

  - `translated_content.type` (string,null)
    The type of object - group_translated_content.
    Enum: null, "group_translated_content"

  - `translated_content.ar` (object,null)
    The Content of a Group.

  - `translated_content.ar.type` (string,null)
    The type of object - group_content .
    Enum: null, "group_content"

  - `translated_content.ar.name` (string)
    The name of the collection or section.
    Example: "Collection name"

  - `translated_content.ar.description` (string)
    The description of the collection. Only available for collections.
    Example: " Collection description"

  - `translated_content.bg` (object,null)
    The Content of a Group.

  - `translated_content.bs` (object,null)
    The Content of a Group.

  - `translated_content.ca` (object,null)
    The Content of a Group.

  - `translated_content.cs` (object,null)
    The Content of a Group.

  - `translated_content.da` (object,null)
    The Content of a Group.

  - `translated_content.de` (object,null)
    The Content of a Group.

  - `translated_content.el` (object,null)
    The Content of a Group.

  - `translated_content.en` (object,null)
    The Content of a Group.

  - `translated_content.es` (object,null)
    The Content of a Group.

  - `translated_content.et` (object,null)
    The Content of a Group.

  - `translated_content.fi` (object,null)
    The Content of a Group.

  - `translated_content.fr` (object,null)
    The Content of a Group.

  - `translated_content.he` (object,null)
    The Content of a Group.

  - `translated_content.hr` (object,null)
    The Content of a Group.

  - `translated_content.hu` (object,null)
    The Content of a Group.

  - `translated_content.id` (object,null)
    The Content of a Group.

  - `translated_content.it` (object,null)
    The Content of a Group.

  - `translated_content.ja` (object,null)
    The Content of a Group.

  - `translated_content.ko` (object,null)
    The Content of a Group.

  - `translated_content.lt` (object,null)
    The Content of a Group.

  - `translated_content.lv` (object,null)
    The Content of a Group.

  - `translated_content.mn` (object,null)
    The Content of a Group.

  - `translated_content.nb` (object,null)
    The Content of a Group.

  - `translated_content.nl` (object,null)
    The Content of a Group.

  - `translated_content.pl` (object,null)
    The Content of a Group.

  - `translated_content.pt` (object,null)
    The Content of a Group.

  - `translated_content.ro` (object,null)
    The Content of a Group.

  - `translated_content.ru` (object,null)
    The Content of a Group.

  - `translated_content.sl` (object,null)
    The Content of a Group.

  - `translated_content.sr` (object,null)
    The Content of a Group.

  - `translated_content.sv` (object,null)
    The Content of a Group.

  - `translated_content.tr` (object,null)
    The Content of a Group.

  - `translated_content.vi` (object,null)
    The Content of a Group.

  - `translated_content.pt-BR` (object,null)
    The Content of a Group.

  - `translated_content.zh-CN` (object,null)
    The Content of a Group.

  - `translated_content.zh-TW` (object,null)
    The Content of a Group.

  - `parent_id` (string,null)
    The id of the parent collection. If null then it will be created as the first level collection.
    Example: "6871118"

  - `help_center_id` (integer,null)
    The id of the help center where the collection will be created. If null then it will be created in the default help center.
    Example: "123"

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier for the collection which is given by Intercom.
    Example: "6871119"

  - `workspace_id` (string)
    The id of the workspace which the collection belongs to.
    Example: "hfi1bx4l"

  - `name` (string)
    The name of the collection. For multilingual collections, this will be the name of the default language's content.
    Example: "Default language name"

  - `description` (string,null)
    The description of the collection. For multilingual help centers, this will be the description of the collection for the default language.
    Example: "Default language description"

  - `created_at` (integer)
    The time when the article was created (seconds). For multilingual articles, this will be the timestamp of creation of the default language's content.
    Example: 1672928359

  - `updated_at` (integer)
    The time when the article was last updated (seconds). For multilingual articles, this will be the timestamp of last update of the default language's content.
    Example: 1672928610

  - `url` (string,null)
    The URL of the collection. For multilingual help centers, this will be the URL of the collection for the default language.
    Example: "http://intercom.test/help/collection/name"

  - `icon` (string,null)
    The icon of the collection.
    Example: "book-bookmark"

  - `order` (integer)
    The order of the section in relation to others sections within a collection. Values go from 0 upwards. 0 is the default if there's no order.
    Example: "1"

  - `default_locale` (string)
    The default locale of the help center. This field is only returned for multilingual help centers.
    Example: "en"

  - `translated_content` (object,null)
    The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.

  - `parent_id` (string,null)
    The id of the parent collection. If null then it is the first level collection.
    Example: "6871118"

  - `help_center_id` (integer,null)
    The id of the help center the collection is in.
    Example: "123"

## Response 400 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


